Bug 10561 - DisplayOPACiconsXSLT and DisplayIconsXSLT descriptions should be clearer
Summary: DisplayOPACiconsXSLT and DisplayIconsXSLT descriptions should be clearer
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-10 05:57 UTC by David Cook
Modified: 2020-05-14 17:46 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06, 19.05.11


Attachments
Bug 10561:Rephrase DisplayOPACiconsXSLT and DisplayIconsXSLT slightly (2.44 KB, patch)
2020-04-13 01:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 10561:Rephrase DisplayOPACiconsXSLT and DisplayIconsXSLT slightly (2.47 KB, patch)
2020-04-13 02:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 10561:Rephrase DisplayOPACiconsXSLT and DisplayIconsXSLT slightly (2.52 KB, patch)
2020-04-17 00:28 UTC, David Roberts
Details | Diff | Splinter Review
Bug 10561:Rephrase DisplayOPACiconsXSLT and DisplayIconsXSLT slightly (2.58 KB, patch)
2020-04-20 10:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2013-07-10 05:57:30 UTC
Currently, DisplayOPACiconsXSLT has a description of "On pages displayed with XSLT stylesheets on the OPAC, "show|don't show" icons for itemtype and authorized values."

However, that is not its actual behaviour!

Turning it on/off does show/hide OPAC icons in the XSLT...

However, turning on/off "DisplayOPACiconsXSLT" also displays/hides information on the "Type", "Format", "Literary Form", etc. In other words, lots of valuable information from the fixed fields in the Leader, 006, 007, and/or 008.

We should probably be checking $DisplayOPACiconsXSLT each time we go to print an IMG element, rather than encasing that whole block of text inside the $DisplayOPACiconsXSLT flag. 

We're losing valuable information if we turn off a system preference that is supposed to govern the display of icons.
Comment 1 Katrin Fischer 2013-07-10 06:05:00 UTC
Hi David, I think that's by design but it has a bad system preference description. The reason to hide the icons was that people don't have the correct information in their data, so the information drawn from the control fields would not be correct.
Comment 2 David Cook 2013-07-10 06:14:55 UTC
(In reply to Katrin Fischer from comment #1)
> Hi David, I think that's by design but it has a bad system preference
> description. The reason to hide the icons was that people don't have the
> correct information in their data, so the information drawn from the control
> fields would not be correct.

Ahhh, if that's the case, I don't mind humbly withdrawing this bug report.
Comment 3 David Cook 2013-07-10 06:28:32 UTC
(In reply to David Cook from comment #2)
> (In reply to Katrin Fischer from comment #1)
> > Hi David, I think that's by design but it has a bad system preference
> > description. The reason to hide the icons was that people don't have the
> > correct information in their data, so the information drawn from the control
> > fields would not be correct.
> 
> Ahhh, if that's the case, I don't mind humbly withdrawing this bug report.

Or perhaps I'll fix up the syspref description at some point as per Katrin's suggestion on IRC ;)
Comment 4 Owen Leonard 2020-01-05 16:27:15 UTC
Is this bug still valid? The current description of the preference is:

"[Show/Don't show] the format, audience, and material type icons in XSLT MARC21 results and detail pages in the OPAC."
Comment 5 Katrin Fischer 2020-01-05 16:39:32 UTC
(In reply to Owen Leonard from comment #4)
> Is this bug still valid? The current description of the preference is:
> 
> "[Show/Don't show] the format, audience, and material type icons in XSLT
> MARC21 results and detail pages in the OPAC."

I didn't check - I think you are right, that reads well!
Comment 6 Katrin Fischer 2020-01-05 16:41:28 UTC
(In reply to Katrin Fischer from comment #5)
> (In reply to Owen Leonard from comment #4)
> > Is this bug still valid? The current description of the preference is:
> > 
> > "[Show/Don't show] the format, audience, and material type icons in XSLT
> > MARC21 results and detail pages in the OPAC."
> 
> I didn't check - I think you are right, that reads well.

OK; rethinking: The issue David pointed out is that it doesn't just hide the icons, it hides the whole thing, including descriptions etc. - I think that's the thing David was pointing out:

>However, turning on/off "DisplayOPACiconsXSLT" also displays/hides information >on the "Type", "Format", "Literary Form", etc. In other words, lots of valuable >information from the fixed fields in the Leader, 006, 007, and/or 008.
Comment 7 Katrin Fischer 2020-04-13 01:51:20 UTC
Created attachment 102791 [details] [review]
Bug 10561:Rephrase DisplayOPACiconsXSLT and DisplayIconsXSLT slightly

As the pref removes the whole 'line' of information, this tries to makes
the behaviour a little clearer by adding a 'and descriptions' to the pref
text. It now reads:

[Show|Don't show]  the format, audience, and material type icons and
descriptions in XSLT MARC21 results and detail pages in ...

To test:
- Check both preference descriptions in the staff client
- Verify the text reads correctly and this helps things
Comment 8 Katrin Fischer 2020-04-13 02:02:46 UTC
Created attachment 102792 [details] [review]
Bug 10561:Rephrase DisplayOPACiconsXSLT and DisplayIconsXSLT slightly

As the pref removes the whole 'line' of information, this tries to makes
the behaviour a little clearer by adding a 'and descriptions' to the pref
text. It now reads:

[Show|Don't show]  the format, audience, and material type icons and
descriptions in XSLT MARC21 results and detail pages in ...

To test:
- Check both preference descriptions in the staff client
- Verify the text reads correctly and this helps things
Comment 9 Lucas Gass 2020-04-15 20:51:16 UTC
If this hides the icons and the descriptions should the name of the system preferences also change to reflect that?
Comment 10 Katrin Fischer 2020-04-15 20:55:24 UTC
(In reply to Lucas Gass from comment #9)
> If this hides the icons and the descriptions should the name of the system
> preferences also change to reflect that?

We could, I just held off to cause not too much disruption (manuals, docuemtation etc.). Do you have a suggestion?
Comment 11 Lucas Gass 2020-04-15 21:03:14 UTC
On the results page the class name of that element is 'results_material_type' on both the OPAC and staff side.

On the details page the class name is 'type' on 

Maybe:

DisplayOPACMaterialType
DisplayMaterialType
Comment 12 David Roberts 2020-04-17 00:28:26 UTC
Created attachment 103114 [details] [review]
Bug 10561:Rephrase DisplayOPACiconsXSLT and DisplayIconsXSLT slightly

As the pref removes the whole 'line' of information, this tries to makes
the behaviour a little clearer by adding a 'and descriptions' to the pref
text. It now reads:

[Show|Don't show]  the format, audience, and material type icons and
descriptions in XSLT MARC21 results and detail pages in ...

To test:
- Check both preference descriptions in the staff client
- Verify the text reads correctly and this helps things

Signed-off-by: David Roberts <david@koha-ptfs.co.uk>
Comment 13 Jonathan Druart 2020-04-20 10:09:27 UTC
Created attachment 103255 [details] [review]
Bug 10561:Rephrase DisplayOPACiconsXSLT and DisplayIconsXSLT slightly

As the pref removes the whole 'line' of information, this tries to makes
the behaviour a little clearer by adding a 'and descriptions' to the pref
text. It now reads:

[Show|Don't show]  the format, audience, and material type icons and
descriptions in XSLT MARC21 results and detail pages in ...

To test:
- Check both preference descriptions in the staff client
- Verify the text reads correctly and this helps things

Signed-off-by: David Roberts <david@koha-ptfs.co.uk>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 14 Martin Renvoize 2020-04-20 11:26:57 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 15 Katrin Fischer 2020-04-20 11:32:02 UTC
(In reply to Lucas Gass from comment #11)
> On the results page the class name of that element is
> 'results_material_type' on both the OPAC and staff side.
> 
> On the details page the class name is 'type' on 
> 
> Maybe:
> 
> DisplayOPACMaterialType
> DisplayMaterialType

As this was pushed now - maybe we could/should move renaming to a new bug?
Comment 16 Joy Nelson 2020-05-07 21:51:38 UTC
Backported to 19.11.x for 19.11.06
Comment 17 Lucas Gass 2020-05-14 17:46:25 UTC
backported to 19.05.x for 19.05.11